<?php

	function eikgutter_styles() {

		//Add Stylesheet
	wp_enqueue_style('custom-css', get_template_directory_uri() . '/assets/css/custom.css', array(), '1.0.0' );

		//Add Js Files
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-slim', get_template_directory_uri() . '/assets/js/jquery.slim.js', array('jquery'), '3.1.1', true );
	wp_enqueue_script('main-js', get_template_directory_uri() . '/assets/js/scripts.js', array('jquery'), '1.0.0', true );


	wp_enqueue_style('style', get_stylesheet_uri(), array(), '1.0');
	}

	add_action('wp_enqueue_scripts', 'eikgutter_styles');


// Setup Theme

	function rpb_setup() {
		register_nav_menus( array(
			'main_menu' 		=> esc_html__('Main_Menu', 'rpb')
			));
	}

	add_action('after_setup_theme', 'rpb_setup');

//widget if any
	function rpb_widget() {
		register_sidebar( array(
			'name'			=> 'Social Widget',
			'id'			=> 'social_widget',
			'before_widget' => '<div id="single-custom-widget">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2>',
			'after_title'	=> '</h2>',
			) );
	}
	add_action('widgets_init', 'rpb_widget');
if( function_exists('acf_add_options_page') ) {
	
	acf_add_options_page(array(
		'page_title' 	=> 'Theme General Settings',
		'menu_title'	=> 'Option Page',
		'menu_slug' 	=> 'theme-general-settings',
		'capability'	=> 'edit_posts',
		'redirect'		=> false
	));
	
}
add_theme_support('post-thumbnails');
add_filter('use_block_editor_for_post','__return_false');